unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, AHMSystemClass, AHMTShellLinks;

type
  TForm1 = class(TForm)
    AHMShellLinks1: TAHMShellLinks;
    Button1: TButton;
    Label1: TLabel;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
  with AHMShellLinks1.Shortcuts[0] do
  Properties.TargetFile:=Application.ExeName;
  AHMShellLinks1.Install(0);
end;

end.
